## CloudProvidersProvider

CloudProvidersProvider — Base object for representing a single provider for clients.

## Functions

CloudProvidersProvider * | cloud_providers_provider_new ()
const gchar * | cloud_providers_provider_get_name ()
GList * | cloud_providers_provider_get_accounts ()

## Properties

char * | name | Read

## Signals

void | accounts-changed | Run Last
void | removed | Run Last

## Types and Values

#define | CLOUD_PROVIDERS_PROVIDER_DBUS_IFACE
#define | CLOUD_PROVIDERS_TYPE_PROVIDER
| CloudProvidersProvider

## Object Hierarchy

        GObject
        ╰── CloudProvidersProvider

## Includes

    #include <src/cloudprovidersprovider.h>

## Description

CloudProvidersProvider is the basic object object for client implementers that contains the properties of the provider such as name, and the accounts associated with it.

## Functions

### cloud_providers_provider_new ()

    CloudProvidersProvider *
    cloud_providers_provider_new (const gchar *bus_name,
                                  const gchar *object_path);

### cloud_providers_provider_get_name ()

    const gchar *
    cloud_providers_provider_get_name (CloudProvidersProvider *self);

### cloud_providers_provider_get_accounts ()

    GList *
    cloud_providers_provider_get_accounts (CloudProvidersProvider *self);

#### Parameters

self | A CloudProvidersProvider |

#### Returns

A GList* of CloudProvidersProvider objects.

[element-type CloudProviders.Account][transfer none]

## Types and Values

### CLOUD_PROVIDERS_PROVIDER_DBUS_IFACE

    #define CLOUD_PROVIDERS_PROVIDER_DBUS_IFACE "org.freedesktop.CloudProviders.Provider"

### CLOUD_PROVIDERS_TYPE_PROVIDER

    #define CLOUD_PROVIDERS_TYPE_PROVIDER (cloud_providers_provider_get_type())

### CloudProvidersProvider

    typedef struct _CloudProvidersProvider CloudProvidersProvider;

## Property Details

### The `“name”` property

      “name”                     char *

Name of the provider.

Owner: CloudProvidersProvider

Flags: Read

Default value: NULL

## Signal Details

### The `“accounts-changed”` signal

    void
    user_function (CloudProvidersProvider *cloudprovidersprovider,
                   gpointer                user_data)

Flags: Run Last

### The `“removed”` signal

    void
    user_function (CloudProvidersProvider *cloudprovidersprovider,
                   gpointer                user_data)

Flags: Run Last